import nltk

# nltk.download('punkt')
from nltk.tokenize import sent_tokenize
from nltk.tokenize import word_tokenize
import gensim
import numpy as np


document = []
document2 = []
reading_test = 'Philosophy of Education is a label applied to the study of the purpose, process, nature and ideals of education. It can be considered a branch of both philosophy and education. Education can be defined as the teaching and learning of specific skills, and the imparting of knowledge, judgment and wisdom, and is something broader than the societal institution of education we often speak of.'
reading_test2 = 'Philosophy of Education is a label applied to the study of the purpose, process, nature and ideals of education. It can be considered a branch of both philosophy and education. Education can be defined as the teaching and learning of specific skills, and the imparting of knowledge, judgment and wisdom, and is something broader than the societal institution of education we often speak of.'

sentences = sent_tokenize(reading_test)
for sentence in sentences:
    document.append(sentence)

sentences2 = sent_tokenize(reading_test2)
for sentence2 in sentences2:
    document2.append(sentence2)
#
# for d in document:
#     print(d)

gen_docs = [[w.lower() for w in word_tokenize(text)] for text in document]
gen_docs2 = [[w.lower() for w in word_tokenize(text)] for text in document2]

dictionary = gensim.corpora.Dictionary(gen_docs)
dictionary2 = dictionary.doc2bow(gen_docs2)

corpus = [dictionary.doc2bow(gen_doc) for gen_doc in gen_docs]
tf_idf = gensim.models.TfidfModel(corpus)

sims = gensim.similarities.Similarity('Documents/', tf_idf[corpus], num_features=len(dictionary))


# query_doc_tf_idf = tf_idf(q)




