import speech_recognition as sr
import pyttsx3
import TextComparison

reading_test = "I don't like to play cricket"

result = 0

r = sr.Recognizer()
engine = pyttsx3.init()
rate = engine.getProperty('rate')
engine.setProperty('rate', rate - 10)

with sr.Microphone() as source:
    print("Hi, please read the text and wait for me to listen")
    engine.say('Hi, please read the text and wait for me to listen')
    print('\n' + reading_test)

    engine.runAndWait()

    audio = r.listen(source)
    print('listening...')
    try:
        text = r.recognize_google(audio)
        print("You said : {}".format(text))
        comparison = TextComparison.Comparison(reading_test.lower(), str(text).lower())
        result = comparison.get_difference()

    except:
        print("Sorry could not recognize what you said")
        engine.say('Sorry could not recognize what you said')
        engine.runAndWait()

print('Accuracy is ' + str(result) + '%')
engine.say('Accuracy is ' + str(result) + '%')
engine.runAndWait()
