import difflib


class Comparison:
    def __init__(self, first_text, second_text):
        self.first_text = first_text
        self.second_text = second_text

    def get_difference(self):
        sequence = difflib.SequenceMatcher(isjunk=None, a=self.first_text, b=self.second_text)
        difference = sequence.ratio() * 100
        difference = round(difference, 1)
        return difference
